# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::ReturnMessage Class Reference

`#include <message.h>`

Inheritance diagram for DBus::ReturnMessage:

## Public Member Functions

| ReturnMessage (const CallMessage &callee)
const char * | signature () const
Public Member Functions inherited from DBus::Message
| Message (Private *, bool incref=true)
| Message (const Message &m)
| ~Message ()
Message & | operator= (const Message &m)
Message | copy ()
int | type () const
int | serial () const
int | reply_serial () const
bool | reply_serial (int)
const char * | sender () const
bool | sender (const char *s)
const char * | destination () const
bool | destination (const char *s)
bool | is_error () const
bool | is_signal (const char *interface, const char *member) const
MessageIter | reader () const
MessageIter | writer ()
bool | append (int first_type,...)
void | terminate ()

## Additional Inherited Members

Protected Member Functions inherited from DBus::Message
| Message ()
Protected Attributes inherited from DBus::Message
RefPtrI< Private > | _pvt

## Detailed Description

Definition at line 298 of file message.h.

## Constructor & Destructor Documentation

## ◆ ReturnMessage()

ReturnMessage::ReturnMessage | ( | const CallMessage & | callee | ) |

Definition at line 634 of file message.cpp.

References DBus::Message::_pvt.

## Member Function Documentation

## ◆ signature()

const char * ReturnMessage::signature | ( |  | ) | const

Definition at line 639 of file message.cpp.

References DBus::Message::_pvt.

The documentation for this class was generated from the following files:

- message.h
- message.cpp